/* CCNET-Remote.kts */
/* Created by Enomoto Sanshiro on 1 December 2010. */


string host = "172.28.250.166";
int port = 2003;


datasource CamacAdc
{
    int station_number = 3;
    int readout_channels = #0..#3;
    
    CamacCrate crate;
    NetworkCamacBridge ccnet("Toyo-CCNET-Remote");
    CamacModule adc("Rinei-RPC022");

    // connect() must be called before installXXX() //
    ccnet.connect(host, port);
    
    crate.installController(ccnet);
    crate.installModule(adc, station_number);

    on run_begin {
	ccnet.releaseInhibit();
    }

    on trigger(adc) {
	adc.read(readout_channels);
	adc.clear();
    }
}
