/* CCNET.kts */
/* Created by Enomoto Sanshiro on 1 December 2010. */


datasource CamacAdc
{
    int station_number = 3;
    int readout_channels = #0..#3;
    
    CamacCrate crate;
    CamacController controller("Toyo-CCNET");
    CamacModule adc("Rinei-RPC022");
    
    crate.installController(controller);
    crate.installModule(adc, station_number);
    
    on run_begin {
	controller.releaseInhibit();
    }

    on trigger(adc) {
	adc.read(readout_channels);
	adc.clear();
    }
}
