/* SiTCP.kts */
/* Created by Enomoto Sanshiro on September 17 2015. */


datasource SiTCP
{
    NetworkModule module("Generic-SiTCP");
    SoftwareModule timer("IntervalTimer");
    Register regw, regr;

    module.connect("192.168.10.16");
    
    on run_begin {
        timer.setInterval(1, 0);
        regw.load(0);

        //module.WriteRegister(0x30, 0x55);
        module.WriteRegister(0x20, 0x00);

        module.WriteRegister(0x10, 0x01);  // start
    }

    on run_end {
        module.WriteRegister(0x10, 0x00);  // stop
    }

    on trigger(timer) {
        module.WriteRegister(8, regw);
        regw += 0x01000000;

        module.ReadRegister(8, regr);
        echo("Register: ", regr, 16);

        module.BlockRead();
    }
}
