/* module-DevRandom.hh */
/* Created by Enomoto Sanshiro on 14 May 2008 */ 
/* Last Updated by Enomoto Sanshiro on 14 May 2008 */ 


#ifndef __module_DevRandom_hh__
#define __module_DevRandom_hh__


#include "RoomSoftwareDevice.hh"


class TSoftwareModule_DevRandom: public TRoomSoftwareModule {
  public:
    TSoftwareModule_DevRandom(void);
    virtual ~TSoftwareModule_DevRandom();
    virtual TRoomSoftwareModule* Clone(void);
    virtual int NumberOfChannels(void);
    virtual int AddressBitLength(void);
    virtual int DataBitLength(void);
    virtual int Initialize(int InitialState = 0);
    virtual int Finalize(int FinalState = 0);
    virtual bool HasData(int Address = -1);
    virtual int Clear(int Address = -1);
    virtual int Read(int Address, int &Data);
  protected:
    int _DeviceFile;
};


#endif
