/* KameTabuler.cc */
/* Created by Enomoto Sanshiro on 29 June 2009. */
/* Last updated by Enomoto Sanshiro on 23 June 2011. */

#include "KameTabular.hh"

using namespace std;
using namespace kame;


TKameTabular::TKameTabular(void)
{
}

TKameTabular::TKameTabular(const TKameTabular& Tabular)
: TKameObject(Tabular), TKameTable(Tabular)
{
    if (this == &Tabular) {
	return;
    }
}

TKameTabular::TKameTabular(unsigned NumberOfColumns)
: TKameTable(NumberOfColumns)
{
}

TKameTabular::~TKameTabular()
{
}

TKameTabular& TKameTabular::operator=(const TKameTabular& Tabular)
{
    if (this == &Tabular) {
	return *this;
    }
    TKameObject::operator=(Tabular);

    TKameTable::operator=(Tabular);

    return *this;
}
