/* KameTabuler.hh */
/* Created by Enomoto Sanshiro on 29 June 2009. */
/* Last updated by Enomoto Sanshiro on 23 June 2011. */


#ifndef __KameTabular_hh__
#define __KameTabular_hh__

#include "KameObject.hh"
#include "KameTable.hh"


namespace kame {

class TKameTabular: public TKameObject, public TKameTable {
  public:
    TKameTabular(void);
    TKameTabular(const TKameTabular& Tabular);
    explicit TKameTabular(unsigned NumberOfColumns);
    virtual ~TKameTabular();
    virtual TKameTabular& operator=(const TKameTabular& Tabular);
    inline TKameTable& Table(void) { return *this; }
};

}
#endif
