/* KorbObjectMessenger.hh */
/* Created by Enomoto Sanshiro on 13 February 2000. */
/* Last updated by Enomoto Sanshiro on 22 February 2000. */


#ifndef __KorbObjectMessenger_hh
#define __KorbObjectMessenger_hh


#include <string>
#include "KorbOrb.hh"
#include "KorbOrbPacket.hh"



class TKorbObjectMessenger {
  public:
    TKorbObjectMessenger(const std::string& ClassName);
    virtual ~TKorbObjectMessenger();
    virtual std::string ClassName(void) const;
    virtual int DispatchMethodInvocation(TKorbOrbPacket& OrbPacket) = 0;
  protected:
    std::string _ClassName;
};

#endif
