/* RoomDeviceBase.hh */
/* Created by Enomoto Sanshiro on 10 October 1999. */
/* Last updated by Enomoto Sanshiro on 7 July 2001. */


#ifndef __RoomDeviceBase_hh__
#define __RoomDeviceBase_hh__


#include "RoomDefs.hh"


class TRoomController {
  public:
    TRoomController(void);
    virtual ~TRoomController();

    virtual bool ProbeController(void);
    virtual int InitializeController(int IntialState = 0);
    virtual int FinalizeController(int FinalState = 0);
    virtual int ClearController(void);
};


class TRoomCrate {
  public:
    TRoomCrate(void);
    virtual ~TRoomCrate();
};


#endif
