/* controller-Force_FGA5x00.hh */
/* Created by Enomoto Sanshiro on 6 October 1997. */
/* Last updated by Enomoto Sanshiro on 8 July 2001. */


#ifndef __controller_Force_FGA5x00_hh__
#define __controller_Force_FGA5x00_hh__


#include <sys/types.h>
#include "RoomVmeAccess.hh"


class TVmeController_Force_FGA5x00: public TRoomVmeController {
  public:
    TVmeController_Force_FGA5x00(void);
    virtual ~TVmeController_Force_FGA5x00();
    virtual TRoomVmeController* CloneController(void);
  public:
    virtual void RegisterInterruptNotification(TRoomVmeAccessProperty* Property, int SignalId = 0);
    virtual void UnregisterInterruptNotification(TRoomVmeAccessProperty* Property);
    virtual void EnableInterruptNotification(TRoomVmeAccessProperty* Property);
    virtual void DisableInterruptNotification(TRoomVmeAccessProperty* Property);
    virtual bool WaitForInterruptNotification(TRoomVmeAccessProperty* Property, unsigned TimeOut); /* poll-based! */
    virtual void SetInterruptNotificationAutodisable(TRoomVmeAccessProperty* Property);
  protected:
    virtual const char* DeviceFileName(TRoomVmeTransferMode TransferMode);
    virtual const char* DmaDeviceFileName(TRoomVmeTransferMode TransferMode);
};


#endif
