/* controller-Kinoko_Camdrv.hh */
/* Created by Enomoto Sanshiro on 13 April 1999. */
/* Last updated by Enomoto Sanshiro on 8 July 2001. */


#ifndef __controller_Kinoko_Camdrv_hh__
#define __controller_Kinoko_Camdrv_hh__


#include "RoomCamacAccess.hh" 


class TCamacController_Kinoko_Camdrv: public TRoomCamacController {
  public:
    TCamacController_Kinoko_Camdrv(void);
    virtual ~TCamacController_Kinoko_Camdrv();
    virtual TRoomCamacController* CloneController(void);
    virtual int InitializeController(int InitialState = 0);
    virtual int ClearController(void);
  public:
    virtual void Open(void);
    virtual void Close(void);
    virtual int Transact(int StationNumber, int Function, int Address, int &Data, int &Q, int &X);
    virtual int SetInhibit(void);
    virtual int ReleaseInhibit(void);
    virtual int EnableInterruptNotification(void);
    virtual int DisableInterruptNotification(void);
    virtual int ReadLam(int LamMask);
    virtual int WaitLam(int TimeOut_sec);
  private:
    int _Device;
};

#endif
