/* KinokoSystemComponent.hh */
/* Created by Enomoto Sanshiro on 9 October 2000. */
/* Last updated by Enomoto Sanshiro on 9 October 2000. */


#ifndef __KinokoSystemComponent_hh__
#define __KinokoSystemComponent_hh__


#include <string>
#include "KinokoComponent.hh"


class TKinokoSystemComponent: public TKinokoComponent {
  public:
    TKinokoSystemComponent(const std::string& TypeName);
    virtual ~TKinokoSystemComponent();
    virtual void BuildDescriptor(TKcomComponentDescriptor& Descriptor);
    virtual void Initialize(void);
    virtual void Finalize(void);
    virtual int DoTransaction(void);
    virtual int ProcessEvent(int EventId, TKcomEvent& Event, TKcomEventResponse& EventResponse);
  protected:
    virtual void OnQuit(void);
  protected:
    enum TEventId {
	EventId_Quit = TKinokoComponent::_NumberOfEvents,
	_NumberOfEvents
    };
  protected:
    bool _IsTerminateRequested;
};


#endif
