/* KinokoTransporterCom.hh */
/* Created by Enomoto Sanshiro on 22 October 2000. */
/* Last updated by Enomoto Sanshiro on 22 October 2000. */


#ifndef __KinokoTransporterCom_hh__
#define __KinokoTransporterCom_hh__


#include "KinokoDataProcessor.hh"
#include "KinokoStreamPipeComponent.hh"


class TKinokoTransporterCom: public TKinokoStreamPipeComponent {
  public:
    TKinokoTransporterCom(void);
    virtual ~TKinokoTransporterCom();
    virtual void BuildDescriptor(TKcomComponentDescriptor& Descriptor);
    virtual int ProcessEvent(int EventId, TKcomEvent& Event, TKcomEventResponse& EventResponse);
  protected:
    virtual void Construct(void);
    virtual void Destruct(void);
    virtual int ProcessData(void);
  protected:
    TKinokoDataReceiver* _DataReceiver;
};


#endif
