/* CamacAdc.kts */
/* Created by Enomoto Sanshiro on 11 October 1999. */
/* Last updated by Enomoto Sanshiro on 8 April 2000. */


datasource CamacAdc
{
    int station_number = 4;
    int readout_channels = #0..#3;
    
    CamacCrate crate;
    CamacController controller("Toyo-CC7x00");
    CamacModule adc("Rinei-RPC022");
    
    crate.installController(controller);
    crate.installModule(adc, station_number);
    
    on run_begin {
	controller.releaseInhibit();
    }

    on trigger(adc) {
	adc.read(readout_channels);
	adc.clear();
    }
}
