/* KmlcFunctionMinimizer.hh */
/* Created by Enomoto Sanshiro on 25 May 2002 */
/* Last updated by Enomoto Sanshiro on 2 June 2002. */


#ifndef __KmlcFunctionMinimizer_hh__
#define __KmlcFunctionMinimizer_hh__


#include "KmlcDefs.hh"
#include "KumaPrimitive.hh"
#include "KumaFunction.hh"


class TKmlcFunctionMinimizer {
  public:
    TKmlcFunctionMinimizer(void) {}
    virtual ~TKmlcFunctionMinimizer(void) {}
    virtual TKmlcFunctionMinimizer* Clone(void) = 0;
    virtual double Minimize(kuma::TKumaFunction& Function, kuma::TKumaPrimitiveVector& ValueList) = 0;
};


#endif
