/* kernel/lib-common/room/RoomConfig.hh.  Generated from RoomConfig.hh.in by configure.  */
/* RoomConfig.hh.in */
/* Created by Enomoto Sanshiro on 21 January 1998. */
/* Last updated by Enomoto Sanshiro on 10 November 2000. */


#ifndef __RoomConfig_hh__
#define __RoomConfig_hh__


#define SIZEOF_CHAR 1
#define SIZEOF_SHORT 2
#define SIZEOF_INT 4
#define SIZEOF_LONG 8
#define SIZEOF_LONG_LONG 8
#define SIZEOF_VOIDP 8
#define SIZEOF_SIZE_T 8
#define SIZEOF_OFF_T 8
#define SIZEOF_CADDR_T 8

#define SIGPOLL_IS_AVAILABLE 1
#define SIGIO_IS_AVAILABLE 1


#if (SIZEOF_CHAR != 1)
#error U8bit is not set correctly
#endif
#if (SIZEOF_SHORT != 2)
#error U16bit is not set correctly
#endif
#if (SIZEOF_INT != 4)
#error U32bit is not set correctly
#endif


#if (SIGPOLL_IS_AVAILABLE == 0)
#if (SIGIO_IS_AVAILABLE == 0)
#error both of SIGPOLL and SIGIO are not available
#else
#define SIGPOLL SIGIO
#endif
#endif


typedef unsigned char U8bit;
typedef unsigned short U16bit;
typedef unsigned int U32bit;


#endif
