/* RoomNetworkBridge.cc */
/* Created by Enomoto Sanshiro on 22 June 2009. */
/* Last updated by Enomoto Sanshiro on 22 June 2009. */


#include "RoomModule.hh"
#include "RoomCamacAccess.hh"
#include "RoomNetworkBridge.hh"

using namespace std;


TRoomNetworkCamacBridge::TRoomNetworkCamacBridge(const std::string& ModuleType, const std::string& ModelName)
: TRoomNetworkModule(ModuleType, ModelName)
{
}

TRoomNetworkCamacBridge::~TRoomNetworkCamacBridge()
{
}

TRoomNetworkModule* TRoomNetworkCamacBridge::Clone(void)
{
    return CloneBridge();
}

TRoomCamacController* TRoomNetworkCamacBridge::CloneController(void)
{
    return CloneBridge();
}
