/* RoomNetworkBridge.hh */
/* Created by Enomoto Sanshiro on 22 June 2009. */
/* Last updated by Enomoto Sanshiro on 22 June 2009. */


#ifndef __RoomNetworkBridge_hh__
#define __RoomNetworkBridge_hh__

#include "RoomModule.hh"
#include "RoomNetworkAccess.hh"
#include "RoomCamacAccess.hh"


class TRoomNetworkCamacBridge: public TRoomCamacController, public TRoomNetworkModule {
  public:
    TRoomNetworkCamacBridge(const std::string& ModuleType, const std::string& ModelName);
    virtual ~TRoomNetworkCamacBridge();
    virtual TRoomNetworkModule* Clone(void);
    virtual TRoomCamacController* CloneController(void);
    virtual TRoomNetworkCamacBridge* CloneBridge(void) = 0;
};


#endif
