/* controller-Toyo_CCNET.hh */
/* Created by Enomoto Sanshiro on 20 July 2009. */
/* Last updated by Enomoto Sanshiro on 20 July 2009. */


#ifndef __controller_Toyo_CCNET_hh__
#define __controller_Toyo_CCNET_hh__


#include "RoomCamacAccess.hh" 


class TCamacController_Toyo_CCNET: public TRoomCamacController {
  public:
    TCamacController_Toyo_CCNET(void);
    virtual ~TCamacController_Toyo_CCNET();
    virtual TRoomCamacController* CloneController(void);
    virtual int InitializeController(int InitialState = 0);
    virtual int FinalizeController(int FinalState = 0);
    virtual int ClearController(void);
  public:
    virtual void Open(void);
    virtual void Close(void);
    virtual int Transact(int StationNumber, int Function, int Address, int &Data, int &Q, int &X);
    virtual int SetInhibit(void);
    virtual int ReleaseInhibit(void);
    virtual int EnableInterruptNotification(void);
    virtual int DisableInterruptNotification(void);
    virtual int ReadLam(int LamMask);
    virtual int WaitLam(int TimeLimit);
  private:
    int _Device;
};


#endif
